operations

package
v0.0.0-...-44b2fc1 Latest Latest
Warning

This package is not in the latest version of its module.

Go to latest
Published: Aug 18, 2022 License: MIT Imports: 17 Imported by: 0

Documentation

Index

Constants

View Source
const GetFeeByActionNameOKCode int = 200

GetFeeByActionNameOKCode is the HTTP code returned for type GetFeeByActionNameOK

View Source
const GetFeeByActionNameServiceUnavailableCode int = 503

GetFeeByActionNameServiceUnavailableCode is the HTTP code returned for type GetFeeByActionNameServiceUnavailable

View Source
const GetFeeByActionNameUsdOKCode int = 200

GetFeeByActionNameUsdOKCode is the HTTP code returned for type GetFeeByActionNameUsdOK

View Source
const GetFeeByActionNameUsdServiceUnavailableCode int = 503

GetFeeByActionNameUsdServiceUnavailableCode is the HTTP code returned for type GetFeeByActionNameUsdServiceUnavailable

View Source
const GetFeeMultiplierProducerBadRequestCode int = 400

GetFeeMultiplierProducerBadRequestCode is the HTTP code returned for type GetFeeMultiplierProducerBadRequest

View Source
const GetFeeMultiplierProducerNotFoundCode int = 404

GetFeeMultiplierProducerNotFoundCode is the HTTP code returned for type GetFeeMultiplierProducerNotFound

View Source
const GetFeeMultiplierProducerOKCode int = 200

GetFeeMultiplierProducerOKCode is the HTTP code returned for type GetFeeMultiplierProducerOK

View Source
const GetFeeMultiplierProducerServiceUnavailableCode int = 503

GetFeeMultiplierProducerServiceUnavailableCode is the HTTP code returned for type GetFeeMultiplierProducerServiceUnavailable

View Source
const GetFeeOKCode int = 200

GetFeeOKCode is the HTTP code returned for type GetFeeOK

View Source
const GetFeeServiceUnavailableCode int = 503

GetFeeServiceUnavailableCode is the HTTP code returned for type GetFeeServiceUnavailable

View Source
const GetFeeUsdOKCode int = 200

GetFeeUsdOKCode is the HTTP code returned for type GetFeeUsdOK

View Source
const GetFeeUsdServiceUnavailableCode int = 503

GetFeeUsdServiceUnavailableCode is the HTTP code returned for type GetFeeUsdServiceUnavailable

View Source
const GetFeeVotesFeevoteProducerBadRequestCode int = 400

GetFeeVotesFeevoteProducerBadRequestCode is the HTTP code returned for type GetFeeVotesFeevoteProducerBadRequest

View Source
const GetFeeVotesFeevoteProducerNotFoundCode int = 404

GetFeeVotesFeevoteProducerNotFoundCode is the HTTP code returned for type GetFeeVotesFeevoteProducerNotFound

View Source
const GetFeeVotesFeevoteProducerOKCode int = 200

GetFeeVotesFeevoteProducerOKCode is the HTTP code returned for type GetFeeVotesFeevoteProducerOK

View Source
const GetFeeVotesFeevoteProducerServiceUnavailableCode int = 503

GetFeeVotesFeevoteProducerServiceUnavailableCode is the HTTP code returned for type GetFeeVotesFeevoteProducerServiceUnavailable

View Source
const GetFeeVotesMultiplierProducerBadRequestCode int = 400

GetFeeVotesMultiplierProducerBadRequestCode is the HTTP code returned for type GetFeeVotesMultiplierProducerBadRequest

View Source
const GetFeeVotesMultiplierProducerNotFoundCode int = 404

GetFeeVotesMultiplierProducerNotFoundCode is the HTTP code returned for type GetFeeVotesMultiplierProducerNotFound

View Source
const GetFeeVotesMultiplierProducerOKCode int = 200

GetFeeVotesMultiplierProducerOKCode is the HTTP code returned for type GetFeeVotesMultiplierProducerOK

View Source
const GetFeeVotesMultiplierProducerServiceUnavailableCode int = 503

GetFeeVotesMultiplierProducerServiceUnavailableCode is the HTTP code returned for type GetFeeVotesMultiplierProducerServiceUnavailable

View Source
const GetFeeVotesProducerBadRequestCode int = 400

GetFeeVotesProducerBadRequestCode is the HTTP code returned for type GetFeeVotesProducerBadRequest

View Source
const GetFeeVotesProducerNotFoundCode int = 404

GetFeeVotesProducerNotFoundCode is the HTTP code returned for type GetFeeVotesProducerNotFound

View Source
const GetFeeVotesProducerOKCode int = 200

GetFeeVotesProducerOKCode is the HTTP code returned for type GetFeeVotesProducerOK

View Source
const GetFeeVotesProducerServiceUnavailableCode int = 503

GetFeeVotesProducerServiceUnavailableCode is the HTTP code returned for type GetFeeVotesProducerServiceUnavailable

View Source
const GetFeeVotesProducerUsdBadRequestCode int = 400

GetFeeVotesProducerUsdBadRequestCode is the HTTP code returned for type GetFeeVotesProducerUsdBadRequest

View Source
const GetFeeVotesProducerUsdNotFoundCode int = 404

GetFeeVotesProducerUsdNotFoundCode is the HTTP code returned for type GetFeeVotesProducerUsdNotFound

View Source
const GetFeeVotesProducerUsdOKCode int = 200

GetFeeVotesProducerUsdOKCode is the HTTP code returned for type GetFeeVotesProducerUsdOK

View Source
const GetFeeVotesProducerUsdServiceUnavailableCode int = 503

GetFeeVotesProducerUsdServiceUnavailableCode is the HTTP code returned for type GetFeeVotesProducerUsdServiceUnavailable

View Source
const GetPriceOKCode int = 200

GetPriceOKCode is the HTTP code returned for type GetPriceOK

View Source
const GetPriceServiceUnavailableCode int = 503

GetPriceServiceUnavailableCode is the HTTP code returned for type GetPriceServiceUnavailable

View Source
const GetSuggestFeevoteOKCode int = 200

GetSuggestFeevoteOKCode is the HTTP code returned for type GetSuggestFeevoteOK

View Source
const GetSuggestSetfeemultOKCode int = 200

GetSuggestSetfeemultOKCode is the HTTP code returned for type GetSuggestSetfeemultOK

View Source
const GetSuggestSetfeemultServiceUnavailableCode int = 503

GetSuggestSetfeemultServiceUnavailableCode is the HTTP code returned for type GetSuggestSetfeemultServiceUnavailable

Variables

This section is empty.

Functions

This section is empty.

Types

type FeeAPI

type FeeAPI struct {
	Middleware func(middleware.Builder) http.Handler

	// BasicAuthenticator generates a runtime.Authenticator from the supplied basic auth function.
	// It has a default implementation in the security package, however you can replace it for your particular usage.
	BasicAuthenticator func(security.UserPassAuthentication) runtime.Authenticator

	// APIKeyAuthenticator generates a runtime.Authenticator from the supplied token auth function.
	// It has a default implementation in the security package, however you can replace it for your particular usage.
	APIKeyAuthenticator func(string, string, security.TokenAuthentication) runtime.Authenticator

	// BearerAuthenticator generates a runtime.Authenticator from the supplied bearer token auth function.
	// It has a default implementation in the security package, however you can replace it for your particular usage.
	BearerAuthenticator func(string, security.ScopedTokenAuthentication) runtime.Authenticator

	// JSONConsumer registers a consumer for the following mime types:
	//   - application/json
	JSONConsumer runtime.Consumer

	// JSONProducer registers a producer for the following mime types:
	//   - application/json
	JSONProducer runtime.Producer

	// GetFeeHandler sets the operation handler for the get fee operation
	GetFeeHandler GetFeeHandler
	// GetFeeByActionNameHandler sets the operation handler for the get fee by action name operation
	GetFeeByActionNameHandler GetFeeByActionNameHandler
	// GetFeeMultiplierProducerHandler sets the operation handler for the get fee multiplier producer operation
	GetFeeMultiplierProducerHandler GetFeeMultiplierProducerHandler
	// GetFeeVotesProducerHandler sets the operation handler for the get fee votes producer operation
	GetFeeVotesProducerHandler GetFeeVotesProducerHandler
	// GetPriceHandler sets the operation handler for the get price operation
	GetPriceHandler GetPriceHandler
	// GetSuggestFeevoteHandler sets the operation handler for the get suggest feevote operation
	GetSuggestFeevoteHandler GetSuggestFeevoteHandler
	// GetSuggestSetfeemultHandler sets the operation handler for the get suggest setfeemult operation
	GetSuggestSetfeemultHandler GetSuggestSetfeemultHandler

	// ServeError is called when an error is received, there is a default handler
	// but you can set your own with this
	ServeError func(http.ResponseWriter, *http.Request, error)

	// PreServerShutdown is called before the HTTP(S) server is shutdown
	// This allows for custom functions to get executed before the HTTP(S) server stops accepting traffic
	PreServerShutdown func()

	// ServerShutdown is called when the HTTP(S) server is shut down and done
	// handling all active connections and does not accept connections any more
	ServerShutdown func()

	// Custom command line argument groups with their descriptions
	CommandLineOptionsGroups []swag.CommandLineOptionsGroup

	// User defined logger function.
	Logger func(string, ...interface{})
	// contains filtered or unexported fields
}

FeeAPI Provides information about FIO fees

func NewFeeAPI

func NewFeeAPI(spec *loads.Document) *FeeAPI

NewFeeAPI creates a new Fee instance

func (*FeeAPI) AddMiddlewareFor

func (o *FeeAPI) AddMiddlewareFor(method, path string, builder middleware.Builder)

AddMiddlewareFor adds a http middleware to existing handler

func (*FeeAPI) AuthenticatorsFor

func (o *FeeAPI) AuthenticatorsFor(schemes map[string]spec.SecurityScheme) map[string]runtime.Authenticator

AuthenticatorsFor gets the authenticators for the specified security schemes

func (*FeeAPI) Authorizer

func (o *FeeAPI) Authorizer() runtime.Authorizer

Authorizer returns the registered authorizer

func (*FeeAPI) ConsumersFor

func (o *FeeAPI) ConsumersFor(mediaTypes []string) map[string]runtime.Consumer

ConsumersFor gets the consumers for the specified media types. MIME type parameters are ignored here.

func (*FeeAPI) Context

func (o *FeeAPI) Context() *middleware.Context

Context returns the middleware context for the fee API

func (*FeeAPI) DefaultConsumes

func (o *FeeAPI) DefaultConsumes() string

DefaultConsumes returns the default consumes media type

func (*FeeAPI) DefaultProduces

func (o *FeeAPI) DefaultProduces() string

DefaultProduces returns the default produces media type

func (*FeeAPI) Formats

func (o *FeeAPI) Formats() strfmt.Registry

Formats returns the registered string formats

func (*FeeAPI) HandlerFor

func (o *FeeAPI) HandlerFor(method, path string) (http.Handler, bool)

HandlerFor gets a http.Handler for the provided operation method and path

func (*FeeAPI) Init

func (o *FeeAPI) Init()

Init allows you to just initialize the handler cache, you can then recompose the middleware as you see fit

func (*FeeAPI) ProducersFor

func (o *FeeAPI) ProducersFor(mediaTypes []string) map[string]runtime.Producer

ProducersFor gets the producers for the specified media types. MIME type parameters are ignored here.

func (*FeeAPI) RegisterConsumer

func (o *FeeAPI) RegisterConsumer(mediaType string, consumer runtime.Consumer)

RegisterConsumer allows you to add (or override) a consumer for a media type.

func (*FeeAPI) RegisterFormat

func (o *FeeAPI) RegisterFormat(name string, format strfmt.Format, validator strfmt.Validator)

RegisterFormat registers a custom format validator

func (*FeeAPI) RegisterProducer

func (o *FeeAPI) RegisterProducer(mediaType string, producer runtime.Producer)

RegisterProducer allows you to add (or override) a producer for a media type.

func (*FeeAPI) Serve

func (o *FeeAPI) Serve(builder middleware.Builder) http.Handler

Serve creates a http handler to serve the API over HTTP can be used directly in http.ListenAndServe(":8000", api.Serve(nil))

func (*FeeAPI) ServeErrorFor

func (o *FeeAPI) ServeErrorFor(operationID string) func(http.ResponseWriter, *http.Request, error)

ServeErrorFor gets a error handler for a given operation id

func (*FeeAPI) SetDefaultConsumes

func (o *FeeAPI) SetDefaultConsumes(mediaType string)

SetDefaultConsumes returns the default consumes media type

func (*FeeAPI) SetDefaultProduces

func (o *FeeAPI) SetDefaultProduces(mediaType string)

SetDefaultProduces sets the default produces media type

func (*FeeAPI) SetSpec

func (o *FeeAPI) SetSpec(spec *loads.Document)

SetSpec sets a spec that will be served for the clients.

func (*FeeAPI) UseRedoc

func (o *FeeAPI) UseRedoc()

UseRedoc for documentation at /docs

func (*FeeAPI) UseSwaggerUI

func (o *FeeAPI) UseSwaggerUI()

UseSwaggerUI for documentation at /docs

func (*FeeAPI) Validate

func (o *FeeAPI) Validate() error

Validate validates the registrations in the FeeAPI

type GetFee

type GetFee struct {
	Context *middleware.Context
	Handler GetFeeHandler
}
GetFee swagger:route GET /fee getFee

lists all current fees

func NewGetFee

func NewGetFee(ctx *middleware.Context, handler GetFeeHandler) *GetFee

NewGetFee creates a new http.Handler for the get fee operation

func (*GetFee) ServeHTTP

func (o *GetFee) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetFeeByActionName

type GetFeeByActionName struct {
	Context *middleware.Context
	Handler GetFeeByActionNameHandler
}
GetFeeByActionName swagger:route GET /fee/byActionName getFeeByActionName

lists fees by the action name, not endpoint. If there is no corresponding action the endpoint name is used.

func NewGetFeeByActionName

func NewGetFeeByActionName(ctx *middleware.Context, handler GetFeeByActionNameHandler) *GetFeeByActionName

NewGetFeeByActionName creates a new http.Handler for the get fee by action name operation

func (*GetFeeByActionName) ServeHTTP

func (o *GetFeeByActionName) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetFeeByActionNameHandler

type GetFeeByActionNameHandler interface {
	Handle(GetFeeByActionNameParams) middleware.Responder
}

GetFeeByActionNameHandler interface for that can handle valid get fee by action name params

type GetFeeByActionNameHandlerFunc

type GetFeeByActionNameHandlerFunc func(GetFeeByActionNameParams) middleware.Responder

GetFeeByActionNameHandlerFunc turns a function with the right signature into a get fee by action name handler

func (GetFeeByActionNameHandlerFunc) Handle

Handle executing the request and returning a response

type GetFeeByActionNameOK

type GetFeeByActionNameOK struct {

	/*
	  In: Body
	*/
	Payload []*models.Price `json:"body,omitempty"`
}

GetFeeByActionNameOK An array of prices for each action in FIO

swagger:response getFeeByActionNameOK

func NewGetFeeByActionNameOK

func NewGetFeeByActionNameOK() *GetFeeByActionNameOK

NewGetFeeByActionNameOK creates GetFeeByActionNameOK with default headers values

func (*GetFeeByActionNameOK) SetPayload

func (o *GetFeeByActionNameOK) SetPayload(payload []*models.Price)

SetPayload sets the payload to the get fee by action name o k response

func (*GetFeeByActionNameOK) WithPayload

func (o *GetFeeByActionNameOK) WithPayload(payload []*models.Price) *GetFeeByActionNameOK

WithPayload adds the payload to the get fee by action name o k response

func (*GetFeeByActionNameOK) WriteResponse

func (o *GetFeeByActionNameOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetFeeByActionNameParams

type GetFeeByActionNameParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*How to format the values. Options are 'suf' which is the smallest unit of FIO, 'float' which is whole FIO with up to 9 digits, and 'usd' which is the current price.
	  In: query
	  Default: "suf"
	*/
	Format *string
}

GetFeeByActionNameParams contains all the bound params for the get fee by action name operation typically these are obtained from a http.Request

swagger:parameters GetFeeByActionName

func NewGetFeeByActionNameParams

func NewGetFeeByActionNameParams() GetFeeByActionNameParams

NewGetFeeByActionNameParams creates a new GetFeeByActionNameParams object with the default values initialized.

func (*GetFeeByActionNameParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetFeeByActionNameParams() beforehand.

type GetFeeByActionNameServiceUnavailable

type GetFeeByActionNameServiceUnavailable struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

GetFeeByActionNameServiceUnavailable Data is stale, has not been updated for several minutes

swagger:response getFeeByActionNameServiceUnavailable

func NewGetFeeByActionNameServiceUnavailable

func NewGetFeeByActionNameServiceUnavailable() *GetFeeByActionNameServiceUnavailable

NewGetFeeByActionNameServiceUnavailable creates GetFeeByActionNameServiceUnavailable with default headers values

func (*GetFeeByActionNameServiceUnavailable) SetPayload

func (o *GetFeeByActionNameServiceUnavailable) SetPayload(payload *models.Error)

SetPayload sets the payload to the get fee by action name service unavailable response

func (*GetFeeByActionNameServiceUnavailable) WithPayload

WithPayload adds the payload to the get fee by action name service unavailable response

func (*GetFeeByActionNameServiceUnavailable) WriteResponse

WriteResponse to the client

type GetFeeByActionNameURL

type GetFeeByActionNameURL struct {
	Format *string
	// contains filtered or unexported fields
}

GetFeeByActionNameURL generates an URL for the get fee by action name operation

func (*GetFeeByActionNameURL) Build

func (o *GetFeeByActionNameURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetFeeByActionNameURL) BuildFull

func (o *GetFeeByActionNameURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetFeeByActionNameURL) Must

func (o *GetFeeByActionNameURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetFeeByActionNameURL) SetBasePath

func (o *GetFeeByActionNameURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetFeeByActionNameURL) String

func (o *GetFeeByActionNameURL) String() string

String returns the string representation of the path with query string

func (*GetFeeByActionNameURL) StringFull

func (o *GetFeeByActionNameURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetFeeByActionNameURL) WithBasePath

func (o *GetFeeByActionNameURL) WithBasePath(bp string) *GetFeeByActionNameURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetFeeByActionNameUsd

type GetFeeByActionNameUsd struct {
	Context *middleware.Context
	Handler GetFeeByActionNameUsdHandler
}
GetFeeByActionNameUsd swagger:route GET /fee/byActionName/usd getFeeByActionNameUsd

List all fees in USD

func NewGetFeeByActionNameUsd

func NewGetFeeByActionNameUsd(ctx *middleware.Context, handler GetFeeByActionNameUsdHandler) *GetFeeByActionNameUsd

NewGetFeeByActionNameUsd creates a new http.Handler for the get fee by action name usd operation

func (*GetFeeByActionNameUsd) ServeHTTP

func (o *GetFeeByActionNameUsd) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetFeeByActionNameUsdHandler

type GetFeeByActionNameUsdHandler interface {
	Handle(GetFeeByActionNameUsdParams) middleware.Responder
}

GetFeeByActionNameUsdHandler interface for that can handle valid get fee by action name usd params

type GetFeeByActionNameUsdHandlerFunc

type GetFeeByActionNameUsdHandlerFunc func(GetFeeByActionNameUsdParams) middleware.Responder

GetFeeByActionNameUsdHandlerFunc turns a function with the right signature into a get fee by action name usd handler

func (GetFeeByActionNameUsdHandlerFunc) Handle

Handle executing the request and returning a response

type GetFeeByActionNameUsdOK

type GetFeeByActionNameUsdOK struct {

	/*
	  In: Body
	*/
	Payload []*models.Price `json:"body,omitempty"`
}

GetFeeByActionNameUsdOK An array of prices for each action in USD

swagger:response getFeeByActionNameUsdOK

func NewGetFeeByActionNameUsdOK

func NewGetFeeByActionNameUsdOK() *GetFeeByActionNameUsdOK

NewGetFeeByActionNameUsdOK creates GetFeeByActionNameUsdOK with default headers values

func (*GetFeeByActionNameUsdOK) SetPayload

func (o *GetFeeByActionNameUsdOK) SetPayload(payload []*models.Price)

SetPayload sets the payload to the get fee by action name usd o k response

func (*GetFeeByActionNameUsdOK) WithPayload

func (o *GetFeeByActionNameUsdOK) WithPayload(payload []*models.Price) *GetFeeByActionNameUsdOK

WithPayload adds the payload to the get fee by action name usd o k response

func (*GetFeeByActionNameUsdOK) WriteResponse

func (o *GetFeeByActionNameUsdOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetFeeByActionNameUsdParams

type GetFeeByActionNameUsdParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`
}

GetFeeByActionNameUsdParams contains all the bound params for the get fee by action name usd operation typically these are obtained from a http.Request

swagger:parameters GetFeeByActionNameUsd

func NewGetFeeByActionNameUsdParams

func NewGetFeeByActionNameUsdParams() GetFeeByActionNameUsdParams

NewGetFeeByActionNameUsdParams creates a new GetFeeByActionNameUsdParams object

There are no default values defined in the spec.

func (*GetFeeByActionNameUsdParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetFeeByActionNameUsdParams() beforehand.

type GetFeeByActionNameUsdServiceUnavailable

type GetFeeByActionNameUsdServiceUnavailable struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

GetFeeByActionNameUsdServiceUnavailable Data is stale, has not been updated for several minutes

swagger:response getFeeByActionNameUsdServiceUnavailable

func NewGetFeeByActionNameUsdServiceUnavailable

func NewGetFeeByActionNameUsdServiceUnavailable() *GetFeeByActionNameUsdServiceUnavailable

NewGetFeeByActionNameUsdServiceUnavailable creates GetFeeByActionNameUsdServiceUnavailable with default headers values

func (*GetFeeByActionNameUsdServiceUnavailable) SetPayload

func (o *GetFeeByActionNameUsdServiceUnavailable) SetPayload(payload *models.Error)

SetPayload sets the payload to the get fee by action name usd service unavailable response

func (*GetFeeByActionNameUsdServiceUnavailable) WithPayload

WithPayload adds the payload to the get fee by action name usd service unavailable response

func (*GetFeeByActionNameUsdServiceUnavailable) WriteResponse

WriteResponse to the client

type GetFeeByActionNameUsdURL

type GetFeeByActionNameUsdURL struct {
	// contains filtered or unexported fields
}

GetFeeByActionNameUsdURL generates an URL for the get fee by action name usd operation

func (*GetFeeByActionNameUsdURL) Build

func (o *GetFeeByActionNameUsdURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetFeeByActionNameUsdURL) BuildFull

func (o *GetFeeByActionNameUsdURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetFeeByActionNameUsdURL) Must

func (o *GetFeeByActionNameUsdURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetFeeByActionNameUsdURL) SetBasePath

func (o *GetFeeByActionNameUsdURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetFeeByActionNameUsdURL) String

func (o *GetFeeByActionNameUsdURL) String() string

String returns the string representation of the path with query string

func (*GetFeeByActionNameUsdURL) StringFull

func (o *GetFeeByActionNameUsdURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetFeeByActionNameUsdURL) WithBasePath

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetFeeHandler

type GetFeeHandler interface {
	Handle(GetFeeParams) middleware.Responder
}

GetFeeHandler interface for that can handle valid get fee params

type GetFeeHandlerFunc

type GetFeeHandlerFunc func(GetFeeParams) middleware.Responder

GetFeeHandlerFunc turns a function with the right signature into a get fee handler

func (GetFeeHandlerFunc) Handle

Handle executing the request and returning a response

type GetFeeMultiplierProducer

type GetFeeMultiplierProducer struct {
	Context *middleware.Context
	Handler GetFeeMultiplierProducerHandler
}
GetFeeMultiplierProducer swagger:route GET /fee/multiplier/{producer} getFeeMultiplierProducer

list a producer's multiplier

func NewGetFeeMultiplierProducer

func NewGetFeeMultiplierProducer(ctx *middleware.Context, handler GetFeeMultiplierProducerHandler) *GetFeeMultiplierProducer

NewGetFeeMultiplierProducer creates a new http.Handler for the get fee multiplier producer operation

func (*GetFeeMultiplierProducer) ServeHTTP

type GetFeeMultiplierProducerBadRequest

type GetFeeMultiplierProducerBadRequest struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

GetFeeMultiplierProducerBadRequest Invalid account format, should be a 12 character string

swagger:response getFeeMultiplierProducerBadRequest

func NewGetFeeMultiplierProducerBadRequest

func NewGetFeeMultiplierProducerBadRequest() *GetFeeMultiplierProducerBadRequest

NewGetFeeMultiplierProducerBadRequest creates GetFeeMultiplierProducerBadRequest with default headers values

func (*GetFeeMultiplierProducerBadRequest) SetPayload

func (o *GetFeeMultiplierProducerBadRequest) SetPayload(payload *models.Error)

SetPayload sets the payload to the get fee multiplier producer bad request response

func (*GetFeeMultiplierProducerBadRequest) WithPayload

WithPayload adds the payload to the get fee multiplier producer bad request response

func (*GetFeeMultiplierProducerBadRequest) WriteResponse

WriteResponse to the client

type GetFeeMultiplierProducerHandler

type GetFeeMultiplierProducerHandler interface {
	Handle(GetFeeMultiplierProducerParams) middleware.Responder
}

GetFeeMultiplierProducerHandler interface for that can handle valid get fee multiplier producer params

type GetFeeMultiplierProducerHandlerFunc

type GetFeeMultiplierProducerHandlerFunc func(GetFeeMultiplierProducerParams) middleware.Responder

GetFeeMultiplierProducerHandlerFunc turns a function with the right signature into a get fee multiplier producer handler

func (GetFeeMultiplierProducerHandlerFunc) Handle

Handle executing the request and returning a response

type GetFeeMultiplierProducerNotFound

type GetFeeMultiplierProducerNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

GetFeeMultiplierProducerNotFound Did not find a matching producer

swagger:response getFeeMultiplierProducerNotFound

func NewGetFeeMultiplierProducerNotFound

func NewGetFeeMultiplierProducerNotFound() *GetFeeMultiplierProducerNotFound

NewGetFeeMultiplierProducerNotFound creates GetFeeMultiplierProducerNotFound with default headers values

func (*GetFeeMultiplierProducerNotFound) SetPayload

func (o *GetFeeMultiplierProducerNotFound) SetPayload(payload *models.Error)

SetPayload sets the payload to the get fee multiplier producer not found response

func (*GetFeeMultiplierProducerNotFound) WithPayload

WithPayload adds the payload to the get fee multiplier producer not found response

func (*GetFeeMultiplierProducerNotFound) WriteResponse

func (o *GetFeeMultiplierProducerNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetFeeMultiplierProducerOK

type GetFeeMultiplierProducerOK struct {

	/*
	  In: Body
	*/
	Payload *GetFeeMultiplierProducerOKBody `json:"body,omitempty"`
}

GetFeeMultiplierProducerOK The currently used fee multiplier which is applied to the fee vote to determine price

swagger:response getFeeMultiplierProducerOK

func NewGetFeeMultiplierProducerOK

func NewGetFeeMultiplierProducerOK() *GetFeeMultiplierProducerOK

NewGetFeeMultiplierProducerOK creates GetFeeMultiplierProducerOK with default headers values

func (*GetFeeMultiplierProducerOK) SetPayload

SetPayload sets the payload to the get fee multiplier producer o k response

func (*GetFeeMultiplierProducerOK) WithPayload

WithPayload adds the payload to the get fee multiplier producer o k response

func (*GetFeeMultiplierProducerOK) WriteResponse

func (o *GetFeeMultiplierProducerOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetFeeMultiplierProducerOKBody

type GetFeeMultiplierProducerOKBody struct {

	// multiplier
	Multiplier float64 `json:"multiplier,omitempty"`

	// Unix timestap of when the fee vote was set
	Timestamp uint64 `json:"timestamp,omitempty"`
}

GetFeeMultiplierProducerOKBody get fee multiplier producer o k body

swagger:model GetFeeMultiplierProducerOKBody

func (*GetFeeMultiplierProducerOKBody) ContextValidate

func (o *GetFeeMultiplierProducerOKBody) ContextValidate(ctx context.Context, formats strfmt.Registry) error

ContextValidate validates this get fee multiplier producer o k body based on context it is used

func (*GetFeeMultiplierProducerOKBody) MarshalBinary

func (o *GetFeeMultiplierProducerOKBody) MarshalBinary() ([]byte, error)

MarshalBinary interface implementation

func (*GetFeeMultiplierProducerOKBody) UnmarshalBinary

func (o *GetFeeMultiplierProducerOKBody) UnmarshalBinary(b []byte) error

UnmarshalBinary interface implementation

func (*GetFeeMultiplierProducerOKBody) Validate

func (o *GetFeeMultiplierProducerOKBody) Validate(formats strfmt.Registry) error

Validate validates this get fee multiplier producer o k body

type GetFeeMultiplierProducerParams

type GetFeeMultiplierProducerParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*The producer's account
	  Required: true
	  In: path
	*/
	Producer string
}

GetFeeMultiplierProducerParams contains all the bound params for the get fee multiplier producer operation typically these are obtained from a http.Request

swagger:parameters GetFeeMultiplierProducer

func NewGetFeeMultiplierProducerParams

func NewGetFeeMultiplierProducerParams() GetFeeMultiplierProducerParams

NewGetFeeMultiplierProducerParams creates a new GetFeeMultiplierProducerParams object

There are no default values defined in the spec.

func (*GetFeeMultiplierProducerParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetFeeMultiplierProducerParams() beforehand.

type GetFeeMultiplierProducerServiceUnavailable

type GetFeeMultiplierProducerServiceUnavailable struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

GetFeeMultiplierProducerServiceUnavailable Data is stale, has not been updated for several minutes

swagger:response getFeeMultiplierProducerServiceUnavailable

func NewGetFeeMultiplierProducerServiceUnavailable

func NewGetFeeMultiplierProducerServiceUnavailable() *GetFeeMultiplierProducerServiceUnavailable

NewGetFeeMultiplierProducerServiceUnavailable creates GetFeeMultiplierProducerServiceUnavailable with default headers values

func (*GetFeeMultiplierProducerServiceUnavailable) SetPayload

SetPayload sets the payload to the get fee multiplier producer service unavailable response

func (*GetFeeMultiplierProducerServiceUnavailable) WithPayload

WithPayload adds the payload to the get fee multiplier producer service unavailable response

func (*GetFeeMultiplierProducerServiceUnavailable) WriteResponse

WriteResponse to the client

type GetFeeMultiplierProducerURL

type GetFeeMultiplierProducerURL struct {
	Producer string
	// contains filtered or unexported fields
}

GetFeeMultiplierProducerURL generates an URL for the get fee multiplier producer operation

func (*GetFeeMultiplierProducerURL) Build

func (o *GetFeeMultiplierProducerURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetFeeMultiplierProducerURL) BuildFull

func (o *GetFeeMultiplierProducerURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetFeeMultiplierProducerURL) Must

func (o *GetFeeMultiplierProducerURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetFeeMultiplierProducerURL) SetBasePath

func (o *GetFeeMultiplierProducerURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetFeeMultiplierProducerURL) String

func (o *GetFeeMultiplierProducerURL) String() string

String returns the string representation of the path with query string

func (*GetFeeMultiplierProducerURL) StringFull

func (o *GetFeeMultiplierProducerURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetFeeMultiplierProducerURL) WithBasePath

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetFeeOK

type GetFeeOK struct {

	/*
	  In: Body
	*/
	Payload []*models.Price `json:"body,omitempty"`
}

GetFeeOK An array of prices for each endpoint in FIO

swagger:response getFeeOK

func NewGetFeeOK

func NewGetFeeOK() *GetFeeOK

NewGetFeeOK creates GetFeeOK with default headers values

func (*GetFeeOK) SetPayload

func (o *GetFeeOK) SetPayload(payload []*models.Price)

SetPayload sets the payload to the get fee o k response

func (*GetFeeOK) WithPayload

func (o *GetFeeOK) WithPayload(payload []*models.Price) *GetFeeOK

WithPayload adds the payload to the get fee o k response

func (*GetFeeOK) WriteResponse

func (o *GetFeeOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetFeeParams

type GetFeeParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*How to format the values. Options are 'suf' which is the smallest unit of FIO, 'float' which is whole FIO with up to 9 digits, and 'usd' which is the current price.
	  In: query
	  Default: "suf"
	*/
	Format *string
}

GetFeeParams contains all the bound params for the get fee operation typically these are obtained from a http.Request

swagger:parameters GetFee

func NewGetFeeParams

func NewGetFeeParams() GetFeeParams

NewGetFeeParams creates a new GetFeeParams object with the default values initialized.

func (*GetFeeParams) BindRequest

func (o *GetFeeParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetFeeParams() beforehand.

type GetFeeServiceUnavailable

type GetFeeServiceUnavailable struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

GetFeeServiceUnavailable Data is stale, has not been updated for several minutes

swagger:response getFeeServiceUnavailable

func NewGetFeeServiceUnavailable

func NewGetFeeServiceUnavailable() *GetFeeServiceUnavailable

NewGetFeeServiceUnavailable creates GetFeeServiceUnavailable with default headers values

func (*GetFeeServiceUnavailable) SetPayload

func (o *GetFeeServiceUnavailable) SetPayload(payload *models.Error)

SetPayload sets the payload to the get fee service unavailable response

func (*GetFeeServiceUnavailable) WithPayload

WithPayload adds the payload to the get fee service unavailable response

func (*GetFeeServiceUnavailable) WriteResponse

func (o *GetFeeServiceUnavailable) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetFeeURL

type GetFeeURL struct {
	Format *string
	// contains filtered or unexported fields
}

GetFeeURL generates an URL for the get fee operation

func (*GetFeeURL) Build

func (o *GetFeeURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetFeeURL) BuildFull

func (o *GetFeeURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetFeeURL) Must

func (o *GetFeeURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetFeeURL) SetBasePath

func (o *GetFeeURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetFeeURL) String

func (o *GetFeeURL) String() string

String returns the string representation of the path with query string

func (*GetFeeURL) StringFull

func (o *GetFeeURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetFeeURL) WithBasePath

func (o *GetFeeURL) WithBasePath(bp string) *GetFeeURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetFeeUsd

type GetFeeUsd struct {
	Context *middleware.Context
	Handler GetFeeUsdHandler
}
GetFeeUsd swagger:route GET /fee/usd getFeeUsd

List all fees in USD

func NewGetFeeUsd

func NewGetFeeUsd(ctx *middleware.Context, handler GetFeeUsdHandler) *GetFeeUsd

NewGetFeeUsd creates a new http.Handler for the get fee usd operation

func (*GetFeeUsd) ServeHTTP

func (o *GetFeeUsd) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetFeeUsdHandler

type GetFeeUsdHandler interface {
	Handle(GetFeeUsdParams) middleware.Responder
}

GetFeeUsdHandler interface for that can handle valid get fee usd params

type GetFeeUsdHandlerFunc

type GetFeeUsdHandlerFunc func(GetFeeUsdParams) middleware.Responder

GetFeeUsdHandlerFunc turns a function with the right signature into a get fee usd handler

func (GetFeeUsdHandlerFunc) Handle

Handle executing the request and returning a response

type GetFeeUsdOK

type GetFeeUsdOK struct {

	/*
	  In: Body
	*/
	Payload []*models.Price `json:"body,omitempty"`
}

GetFeeUsdOK An array of prices for each action in USD

swagger:response getFeeUsdOK

func NewGetFeeUsdOK

func NewGetFeeUsdOK() *GetFeeUsdOK

NewGetFeeUsdOK creates GetFeeUsdOK with default headers values

func (*GetFeeUsdOK) SetPayload

func (o *GetFeeUsdOK) SetPayload(payload []*models.Price)

SetPayload sets the payload to the get fee usd o k response

func (*GetFeeUsdOK) WithPayload

func (o *GetFeeUsdOK) WithPayload(payload []*models.Price) *GetFeeUsdOK

WithPayload adds the payload to the get fee usd o k response

func (*GetFeeUsdOK) WriteResponse

func (o *GetFeeUsdOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetFeeUsdParams

type GetFeeUsdParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`
}

GetFeeUsdParams contains all the bound params for the get fee usd operation typically these are obtained from a http.Request

swagger:parameters GetFeeUsd

func NewGetFeeUsdParams

func NewGetFeeUsdParams() GetFeeUsdParams

NewGetFeeUsdParams creates a new GetFeeUsdParams object

There are no default values defined in the spec.

func (*GetFeeUsdParams) BindRequest

func (o *GetFeeUsdParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetFeeUsdParams() beforehand.

type GetFeeUsdServiceUnavailable

type GetFeeUsdServiceUnavailable struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

GetFeeUsdServiceUnavailable Data is stale, has not been updated for several minutes

swagger:response getFeeUsdServiceUnavailable

func NewGetFeeUsdServiceUnavailable

func NewGetFeeUsdServiceUnavailable() *GetFeeUsdServiceUnavailable

NewGetFeeUsdServiceUnavailable creates GetFeeUsdServiceUnavailable with default headers values

func (*GetFeeUsdServiceUnavailable) SetPayload

func (o *GetFeeUsdServiceUnavailable) SetPayload(payload *models.Error)

SetPayload sets the payload to the get fee usd service unavailable response

func (*GetFeeUsdServiceUnavailable) WithPayload

WithPayload adds the payload to the get fee usd service unavailable response

func (*GetFeeUsdServiceUnavailable) WriteResponse

func (o *GetFeeUsdServiceUnavailable) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetFeeUsdURL

type GetFeeUsdURL struct {
	// contains filtered or unexported fields
}

GetFeeUsdURL generates an URL for the get fee usd operation

func (*GetFeeUsdURL) Build

func (o *GetFeeUsdURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetFeeUsdURL) BuildFull

func (o *GetFeeUsdURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetFeeUsdURL) Must

func (o *GetFeeUsdURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetFeeUsdURL) SetBasePath

func (o *GetFeeUsdURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetFeeUsdURL) String

func (o *GetFeeUsdURL) String() string

String returns the string representation of the path with query string

func (*GetFeeUsdURL) StringFull

func (o *GetFeeUsdURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetFeeUsdURL) WithBasePath

func (o *GetFeeUsdURL) WithBasePath(bp string) *GetFeeUsdURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetFeeVotesFeevoteProducer

type GetFeeVotesFeevoteProducer struct {
	Context *middleware.Context
	Handler GetFeeVotesFeevoteProducerHandler
}
GetFeeVotesFeevoteProducer swagger:route GET /fee/votes/feevote/{producer} getFeeVotesFeevoteProducer

list a producer's fee votes

func NewGetFeeVotesFeevoteProducer

func NewGetFeeVotesFeevoteProducer(ctx *middleware.Context, handler GetFeeVotesFeevoteProducerHandler) *GetFeeVotesFeevoteProducer

NewGetFeeVotesFeevoteProducer creates a new http.Handler for the get fee votes feevote producer operation

func (*GetFeeVotesFeevoteProducer) ServeHTTP

type GetFeeVotesFeevoteProducerBadRequest

type GetFeeVotesFeevoteProducerBadRequest struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

GetFeeVotesFeevoteProducerBadRequest Invalid account format, should be a 12 character string

swagger:response getFeeVotesFeevoteProducerBadRequest

func NewGetFeeVotesFeevoteProducerBadRequest

func NewGetFeeVotesFeevoteProducerBadRequest() *GetFeeVotesFeevoteProducerBadRequest

NewGetFeeVotesFeevoteProducerBadRequest creates GetFeeVotesFeevoteProducerBadRequest with default headers values

func (*GetFeeVotesFeevoteProducerBadRequest) SetPayload

func (o *GetFeeVotesFeevoteProducerBadRequest) SetPayload(payload *models.Error)

SetPayload sets the payload to the get fee votes feevote producer bad request response

func (*GetFeeVotesFeevoteProducerBadRequest) WithPayload

WithPayload adds the payload to the get fee votes feevote producer bad request response

func (*GetFeeVotesFeevoteProducerBadRequest) WriteResponse

WriteResponse to the client

type GetFeeVotesFeevoteProducerHandler

type GetFeeVotesFeevoteProducerHandler interface {
	Handle(GetFeeVotesFeevoteProducerParams) middleware.Responder
}

GetFeeVotesFeevoteProducerHandler interface for that can handle valid get fee votes feevote producer params

type GetFeeVotesFeevoteProducerHandlerFunc

type GetFeeVotesFeevoteProducerHandlerFunc func(GetFeeVotesFeevoteProducerParams) middleware.Responder

GetFeeVotesFeevoteProducerHandlerFunc turns a function with the right signature into a get fee votes feevote producer handler

func (GetFeeVotesFeevoteProducerHandlerFunc) Handle

Handle executing the request and returning a response

type GetFeeVotesFeevoteProducerNotFound

type GetFeeVotesFeevoteProducerNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

GetFeeVotesFeevoteProducerNotFound Did not find a matching producer

swagger:response getFeeVotesFeevoteProducerNotFound

func NewGetFeeVotesFeevoteProducerNotFound

func NewGetFeeVotesFeevoteProducerNotFound() *GetFeeVotesFeevoteProducerNotFound

NewGetFeeVotesFeevoteProducerNotFound creates GetFeeVotesFeevoteProducerNotFound with default headers values

func (*GetFeeVotesFeevoteProducerNotFound) SetPayload

func (o *GetFeeVotesFeevoteProducerNotFound) SetPayload(payload *models.Error)

SetPayload sets the payload to the get fee votes feevote producer not found response

func (*GetFeeVotesFeevoteProducerNotFound) WithPayload

WithPayload adds the payload to the get fee votes feevote producer not found response

func (*GetFeeVotesFeevoteProducerNotFound) WriteResponse

WriteResponse to the client

type GetFeeVotesFeevoteProducerOK

type GetFeeVotesFeevoteProducerOK struct {

	/*
	  In: Body
	*/
	Payload []*models.Feevote `json:"body,omitempty"`
}

GetFeeVotesFeevoteProducerOK The base fee in SUF used for calculating a producer's vote, before applying multiplier

swagger:response getFeeVotesFeevoteProducerOK

func NewGetFeeVotesFeevoteProducerOK

func NewGetFeeVotesFeevoteProducerOK() *GetFeeVotesFeevoteProducerOK

NewGetFeeVotesFeevoteProducerOK creates GetFeeVotesFeevoteProducerOK with default headers values

func (*GetFeeVotesFeevoteProducerOK) SetPayload

func (o *GetFeeVotesFeevoteProducerOK) SetPayload(payload []*models.Feevote)

SetPayload sets the payload to the get fee votes feevote producer o k response

func (*GetFeeVotesFeevoteProducerOK) WithPayload

WithPayload adds the payload to the get fee votes feevote producer o k response

func (*GetFeeVotesFeevoteProducerOK) WriteResponse

func (o *GetFeeVotesFeevoteProducerOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetFeeVotesFeevoteProducerParams

type GetFeeVotesFeevoteProducerParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*The producer's account
	  Required: true
	  In: path
	*/
	Producer string
}

GetFeeVotesFeevoteProducerParams contains all the bound params for the get fee votes feevote producer operation typically these are obtained from a http.Request

swagger:parameters GetFeeVotesFeevoteProducer

func NewGetFeeVotesFeevoteProducerParams

func NewGetFeeVotesFeevoteProducerParams() GetFeeVotesFeevoteProducerParams

NewGetFeeVotesFeevoteProducerParams creates a new GetFeeVotesFeevoteProducerParams object

There are no default values defined in the spec.

func (*GetFeeVotesFeevoteProducerParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetFeeVotesFeevoteProducerParams() beforehand.

type GetFeeVotesFeevoteProducerServiceUnavailable

type GetFeeVotesFeevoteProducerServiceUnavailable struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

GetFeeVotesFeevoteProducerServiceUnavailable Data is stale, has not been updated for several minutes

swagger:response getFeeVotesFeevoteProducerServiceUnavailable

func NewGetFeeVotesFeevoteProducerServiceUnavailable

func NewGetFeeVotesFeevoteProducerServiceUnavailable() *GetFeeVotesFeevoteProducerServiceUnavailable

NewGetFeeVotesFeevoteProducerServiceUnavailable creates GetFeeVotesFeevoteProducerServiceUnavailable with default headers values

func (*GetFeeVotesFeevoteProducerServiceUnavailable) SetPayload

SetPayload sets the payload to the get fee votes feevote producer service unavailable response

func (*GetFeeVotesFeevoteProducerServiceUnavailable) WithPayload

WithPayload adds the payload to the get fee votes feevote producer service unavailable response

func (*GetFeeVotesFeevoteProducerServiceUnavailable) WriteResponse

WriteResponse to the client

type GetFeeVotesFeevoteProducerURL

type GetFeeVotesFeevoteProducerURL struct {
	Producer string
	// contains filtered or unexported fields
}

GetFeeVotesFeevoteProducerURL generates an URL for the get fee votes feevote producer operation

func (*GetFeeVotesFeevoteProducerURL) Build

func (o *GetFeeVotesFeevoteProducerURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetFeeVotesFeevoteProducerURL) BuildFull

func (o *GetFeeVotesFeevoteProducerURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetFeeVotesFeevoteProducerURL) Must

func (o *GetFeeVotesFeevoteProducerURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetFeeVotesFeevoteProducerURL) SetBasePath

func (o *GetFeeVotesFeevoteProducerURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetFeeVotesFeevoteProducerURL) String

String returns the string representation of the path with query string

func (*GetFeeVotesFeevoteProducerURL) StringFull

func (o *GetFeeVotesFeevoteProducerURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetFeeVotesFeevoteProducerURL) WithBasePath

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetFeeVotesMultiplierProducer

type GetFeeVotesMultiplierProducer struct {
	Context *middleware.Context
	Handler GetFeeVotesMultiplierProducerHandler
}
GetFeeVotesMultiplierProducer swagger:route GET /fee/votes/multiplier/{producer} getFeeVotesMultiplierProducer

list a producer's multiplier

func NewGetFeeVotesMultiplierProducer

func NewGetFeeVotesMultiplierProducer(ctx *middleware.Context, handler GetFeeVotesMultiplierProducerHandler) *GetFeeVotesMultiplierProducer

NewGetFeeVotesMultiplierProducer creates a new http.Handler for the get fee votes multiplier producer operation

func (*GetFeeVotesMultiplierProducer) ServeHTTP

type GetFeeVotesMultiplierProducerBadRequest

type GetFeeVotesMultiplierProducerBadRequest struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

GetFeeVotesMultiplierProducerBadRequest Invalid account format, should be a 12 character string

swagger:response getFeeVotesMultiplierProducerBadRequest

func NewGetFeeVotesMultiplierProducerBadRequest

func NewGetFeeVotesMultiplierProducerBadRequest() *GetFeeVotesMultiplierProducerBadRequest

NewGetFeeVotesMultiplierProducerBadRequest creates GetFeeVotesMultiplierProducerBadRequest with default headers values

func (*GetFeeVotesMultiplierProducerBadRequest) SetPayload

func (o *GetFeeVotesMultiplierProducerBadRequest) SetPayload(payload *models.Error)

SetPayload sets the payload to the get fee votes multiplier producer bad request response

func (*GetFeeVotesMultiplierProducerBadRequest) WithPayload

WithPayload adds the payload to the get fee votes multiplier producer bad request response

func (*GetFeeVotesMultiplierProducerBadRequest) WriteResponse

WriteResponse to the client

type GetFeeVotesMultiplierProducerHandler

type GetFeeVotesMultiplierProducerHandler interface {
	Handle(GetFeeVotesMultiplierProducerParams) middleware.Responder
}

GetFeeVotesMultiplierProducerHandler interface for that can handle valid get fee votes multiplier producer params

type GetFeeVotesMultiplierProducerHandlerFunc

type GetFeeVotesMultiplierProducerHandlerFunc func(GetFeeVotesMultiplierProducerParams) middleware.Responder

GetFeeVotesMultiplierProducerHandlerFunc turns a function with the right signature into a get fee votes multiplier producer handler

func (GetFeeVotesMultiplierProducerHandlerFunc) Handle

Handle executing the request and returning a response

type GetFeeVotesMultiplierProducerNotFound

type GetFeeVotesMultiplierProducerNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

GetFeeVotesMultiplierProducerNotFound Did not find a matching producer

swagger:response getFeeVotesMultiplierProducerNotFound

func NewGetFeeVotesMultiplierProducerNotFound

func NewGetFeeVotesMultiplierProducerNotFound() *GetFeeVotesMultiplierProducerNotFound

NewGetFeeVotesMultiplierProducerNotFound creates GetFeeVotesMultiplierProducerNotFound with default headers values

func (*GetFeeVotesMultiplierProducerNotFound) SetPayload

func (o *GetFeeVotesMultiplierProducerNotFound) SetPayload(payload *models.Error)

SetPayload sets the payload to the get fee votes multiplier producer not found response

func (*GetFeeVotesMultiplierProducerNotFound) WithPayload

WithPayload adds the payload to the get fee votes multiplier producer not found response

func (*GetFeeVotesMultiplierProducerNotFound) WriteResponse

WriteResponse to the client

type GetFeeVotesMultiplierProducerOK

type GetFeeVotesMultiplierProducerOK struct {

	/*
	  In: Body
	*/
	Payload *GetFeeVotesMultiplierProducerOKBody `json:"body,omitempty"`
}

GetFeeVotesMultiplierProducerOK The currently used fee multiplier which is applied to the fee vote to determine price

swagger:response getFeeVotesMultiplierProducerOK

func NewGetFeeVotesMultiplierProducerOK

func NewGetFeeVotesMultiplierProducerOK() *GetFeeVotesMultiplierProducerOK

NewGetFeeVotesMultiplierProducerOK creates GetFeeVotesMultiplierProducerOK with default headers values

func (*GetFeeVotesMultiplierProducerOK) SetPayload

SetPayload sets the payload to the get fee votes multiplier producer o k response

func (*GetFeeVotesMultiplierProducerOK) WithPayload

WithPayload adds the payload to the get fee votes multiplier producer o k response

func (*GetFeeVotesMultiplierProducerOK) WriteResponse

func (o *GetFeeVotesMultiplierProducerOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetFeeVotesMultiplierProducerOKBody

type GetFeeVotesMultiplierProducerOKBody struct {

	// multiplier
	Multiplier float64 `json:"multiplier,omitempty"`

	// Unix timestap of when the fee vote was set
	Timestamp uint64 `json:"timestamp,omitempty"`
}

GetFeeVotesMultiplierProducerOKBody get fee votes multiplier producer o k body

swagger:model GetFeeVotesMultiplierProducerOKBody

func (*GetFeeVotesMultiplierProducerOKBody) ContextValidate

func (o *GetFeeVotesMultiplierProducerOKBody) ContextValidate(ctx context.Context, formats strfmt.Registry) error

ContextValidate validates this get fee votes multiplier producer o k body based on context it is used

func (*GetFeeVotesMultiplierProducerOKBody) MarshalBinary

func (o *GetFeeVotesMultiplierProducerOKBody) MarshalBinary() ([]byte, error)

MarshalBinary interface implementation

func (*GetFeeVotesMultiplierProducerOKBody) UnmarshalBinary

func (o *GetFeeVotesMultiplierProducerOKBody) UnmarshalBinary(b []byte) error

UnmarshalBinary interface implementation

func (*GetFeeVotesMultiplierProducerOKBody) Validate

Validate validates this get fee votes multiplier producer o k body

type GetFeeVotesMultiplierProducerParams

type GetFeeVotesMultiplierProducerParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*The producer's account
	  Required: true
	  In: path
	*/
	Producer string
}

GetFeeVotesMultiplierProducerParams contains all the bound params for the get fee votes multiplier producer operation typically these are obtained from a http.Request

swagger:parameters GetFeeVotesMultiplierProducer

func NewGetFeeVotesMultiplierProducerParams

func NewGetFeeVotesMultiplierProducerParams() GetFeeVotesMultiplierProducerParams

NewGetFeeVotesMultiplierProducerParams creates a new GetFeeVotesMultiplierProducerParams object

There are no default values defined in the spec.

func (*GetFeeVotesMultiplierProducerParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetFeeVotesMultiplierProducerParams() beforehand.

type GetFeeVotesMultiplierProducerServiceUnavailable

type GetFeeVotesMultiplierProducerServiceUnavailable struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

GetFeeVotesMultiplierProducerServiceUnavailable Data is stale, has not been updated for several minutes

swagger:response getFeeVotesMultiplierProducerServiceUnavailable

func NewGetFeeVotesMultiplierProducerServiceUnavailable

func NewGetFeeVotesMultiplierProducerServiceUnavailable() *GetFeeVotesMultiplierProducerServiceUnavailable

NewGetFeeVotesMultiplierProducerServiceUnavailable creates GetFeeVotesMultiplierProducerServiceUnavailable with default headers values

func (*GetFeeVotesMultiplierProducerServiceUnavailable) SetPayload

SetPayload sets the payload to the get fee votes multiplier producer service unavailable response

func (*GetFeeVotesMultiplierProducerServiceUnavailable) WithPayload

WithPayload adds the payload to the get fee votes multiplier producer service unavailable response

func (*GetFeeVotesMultiplierProducerServiceUnavailable) WriteResponse

WriteResponse to the client

type GetFeeVotesMultiplierProducerURL

type GetFeeVotesMultiplierProducerURL struct {
	Producer string
	// contains filtered or unexported fields
}

GetFeeVotesMultiplierProducerURL generates an URL for the get fee votes multiplier producer operation

func (*GetFeeVotesMultiplierProducerURL) Build

Build a url path and query string

func (*GetFeeVotesMultiplierProducerURL) BuildFull

func (o *GetFeeVotesMultiplierProducerURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetFeeVotesMultiplierProducerURL) Must

Must is a helper function to panic when the url builder returns an error

func (*GetFeeVotesMultiplierProducerURL) SetBasePath

func (o *GetFeeVotesMultiplierProducerURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetFeeVotesMultiplierProducerURL) String

String returns the string representation of the path with query string

func (*GetFeeVotesMultiplierProducerURL) StringFull

func (o *GetFeeVotesMultiplierProducerURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetFeeVotesMultiplierProducerURL) WithBasePath

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetFeeVotesProducer

type GetFeeVotesProducer struct {
	Context *middleware.Context
	Handler GetFeeVotesProducerHandler
}
GetFeeVotesProducer swagger:route GET /fee/votes/{producer} getFeeVotesProducer

list a producer's fee votes

func NewGetFeeVotesProducer

func NewGetFeeVotesProducer(ctx *middleware.Context, handler GetFeeVotesProducerHandler) *GetFeeVotesProducer

NewGetFeeVotesProducer creates a new http.Handler for the get fee votes producer operation

func (*GetFeeVotesProducer) ServeHTTP

func (o *GetFeeVotesProducer) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetFeeVotesProducerBadRequest

type GetFeeVotesProducerBadRequest struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

GetFeeVotesProducerBadRequest Invalid account format, should be a 12 character string

swagger:response getFeeVotesProducerBadRequest

func NewGetFeeVotesProducerBadRequest

func NewGetFeeVotesProducerBadRequest() *GetFeeVotesProducerBadRequest

NewGetFeeVotesProducerBadRequest creates GetFeeVotesProducerBadRequest with default headers values

func (*GetFeeVotesProducerBadRequest) SetPayload

func (o *GetFeeVotesProducerBadRequest) SetPayload(payload *models.Error)

SetPayload sets the payload to the get fee votes producer bad request response

func (*GetFeeVotesProducerBadRequest) WithPayload

WithPayload adds the payload to the get fee votes producer bad request response

func (*GetFeeVotesProducerBadRequest) WriteResponse

func (o *GetFeeVotesProducerBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetFeeVotesProducerHandler

type GetFeeVotesProducerHandler interface {
	Handle(GetFeeVotesProducerParams) middleware.Responder
}

GetFeeVotesProducerHandler interface for that can handle valid get fee votes producer params

type GetFeeVotesProducerHandlerFunc

type GetFeeVotesProducerHandlerFunc func(GetFeeVotesProducerParams) middleware.Responder

GetFeeVotesProducerHandlerFunc turns a function with the right signature into a get fee votes producer handler

func (GetFeeVotesProducerHandlerFunc) Handle

Handle executing the request and returning a response

type GetFeeVotesProducerNotFound

type GetFeeVotesProducerNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

GetFeeVotesProducerNotFound Did not find a matching producer

swagger:response getFeeVotesProducerNotFound

func NewGetFeeVotesProducerNotFound

func NewGetFeeVotesProducerNotFound() *GetFeeVotesProducerNotFound

NewGetFeeVotesProducerNotFound creates GetFeeVotesProducerNotFound with default headers values

func (*GetFeeVotesProducerNotFound) SetPayload

func (o *GetFeeVotesProducerNotFound) SetPayload(payload *models.Error)

SetPayload sets the payload to the get fee votes producer not found response

func (*GetFeeVotesProducerNotFound) WithPayload

WithPayload adds the payload to the get fee votes producer not found response

func (*GetFeeVotesProducerNotFound) WriteResponse

func (o *GetFeeVotesProducerNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetFeeVotesProducerOK

type GetFeeVotesProducerOK struct {

	/*
	  In: Body
	*/
	Payload []*models.Price `json:"body,omitempty"`
}

GetFeeVotesProducerOK An array of the producer's votes for each endpoint in SUF

swagger:response getFeeVotesProducerOK

func NewGetFeeVotesProducerOK

func NewGetFeeVotesProducerOK() *GetFeeVotesProducerOK

NewGetFeeVotesProducerOK creates GetFeeVotesProducerOK with default headers values

func (*GetFeeVotesProducerOK) SetPayload

func (o *GetFeeVotesProducerOK) SetPayload(payload []*models.Price)

SetPayload sets the payload to the get fee votes producer o k response

func (*GetFeeVotesProducerOK) WithPayload

func (o *GetFeeVotesProducerOK) WithPayload(payload []*models.Price) *GetFeeVotesProducerOK

WithPayload adds the payload to the get fee votes producer o k response

func (*GetFeeVotesProducerOK) WriteResponse

func (o *GetFeeVotesProducerOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetFeeVotesProducerParams

type GetFeeVotesProducerParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*Should the result apply the multiplier? Setting to 'true' is useful for calculating the actual cost that a producer has voted, most useful with 'format=usd'. Using 'false' will provide their base fio.fee::setfeevotes values, and only makes sense if 'format=suf'.
	  In: query
	  Default: true
	*/
	ApplyMultiplier *bool
	/*How to format the values. Options are 'suf' which is the smallest unit of FIO, 'float' which is whole FIO with up to 9 digits, and 'usd' which is the current price.
	  In: query
	  Default: "suf"
	*/
	Format *string
	/*The producer's account
	  Required: true
	  In: path
	*/
	Producer string
}

GetFeeVotesProducerParams contains all the bound params for the get fee votes producer operation typically these are obtained from a http.Request

swagger:parameters GetFeeVotesProducer

func NewGetFeeVotesProducerParams

func NewGetFeeVotesProducerParams() GetFeeVotesProducerParams

NewGetFeeVotesProducerParams creates a new GetFeeVotesProducerParams object with the default values initialized.

func (*GetFeeVotesProducerParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetFeeVotesProducerParams() beforehand.

type GetFeeVotesProducerServiceUnavailable

type GetFeeVotesProducerServiceUnavailable struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

GetFeeVotesProducerServiceUnavailable Data is stale, has not been updated for several minutes

swagger:response getFeeVotesProducerServiceUnavailable

func NewGetFeeVotesProducerServiceUnavailable

func NewGetFeeVotesProducerServiceUnavailable() *GetFeeVotesProducerServiceUnavailable

NewGetFeeVotesProducerServiceUnavailable creates GetFeeVotesProducerServiceUnavailable with default headers values

func (*GetFeeVotesProducerServiceUnavailable) SetPayload

func (o *GetFeeVotesProducerServiceUnavailable) SetPayload(payload *models.Error)

SetPayload sets the payload to the get fee votes producer service unavailable response

func (*GetFeeVotesProducerServiceUnavailable) WithPayload

WithPayload adds the payload to the get fee votes producer service unavailable response

func (*GetFeeVotesProducerServiceUnavailable) WriteResponse

WriteResponse to the client

type GetFeeVotesProducerURL

type GetFeeVotesProducerURL struct {
	Producer string

	ApplyMultiplier *bool
	Format          *string
	// contains filtered or unexported fields
}

GetFeeVotesProducerURL generates an URL for the get fee votes producer operation

func (*GetFeeVotesProducerURL) Build

func (o *GetFeeVotesProducerURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetFeeVotesProducerURL) BuildFull

func (o *GetFeeVotesProducerURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetFeeVotesProducerURL) Must

func (o *GetFeeVotesProducerURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetFeeVotesProducerURL) SetBasePath

func (o *GetFeeVotesProducerURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetFeeVotesProducerURL) String

func (o *GetFeeVotesProducerURL) String() string

String returns the string representation of the path with query string

func (*GetFeeVotesProducerURL) StringFull

func (o *GetFeeVotesProducerURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetFeeVotesProducerURL) WithBasePath

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetFeeVotesProducerUsd

type GetFeeVotesProducerUsd struct {
	Context *middleware.Context
	Handler GetFeeVotesProducerUsdHandler
}
GetFeeVotesProducerUsd swagger:route GET /fee/votes/{producer}/usd getFeeVotesProducerUsd

list a producer's fee vote in USD as a float

func NewGetFeeVotesProducerUsd

func NewGetFeeVotesProducerUsd(ctx *middleware.Context, handler GetFeeVotesProducerUsdHandler) *GetFeeVotesProducerUsd

NewGetFeeVotesProducerUsd creates a new http.Handler for the get fee votes producer usd operation

func (*GetFeeVotesProducerUsd) ServeHTTP

func (o *GetFeeVotesProducerUsd) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetFeeVotesProducerUsdBadRequest

type GetFeeVotesProducerUsdBadRequest struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

GetFeeVotesProducerUsdBadRequest Invalid account format, should be a 12 character string

swagger:response getFeeVotesProducerUsdBadRequest

func NewGetFeeVotesProducerUsdBadRequest

func NewGetFeeVotesProducerUsdBadRequest() *GetFeeVotesProducerUsdBadRequest

NewGetFeeVotesProducerUsdBadRequest creates GetFeeVotesProducerUsdBadRequest with default headers values

func (*GetFeeVotesProducerUsdBadRequest) SetPayload

func (o *GetFeeVotesProducerUsdBadRequest) SetPayload(payload *models.Error)

SetPayload sets the payload to the get fee votes producer usd bad request response

func (*GetFeeVotesProducerUsdBadRequest) WithPayload

WithPayload adds the payload to the get fee votes producer usd bad request response

func (*GetFeeVotesProducerUsdBadRequest) WriteResponse

func (o *GetFeeVotesProducerUsdBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetFeeVotesProducerUsdHandler

type GetFeeVotesProducerUsdHandler interface {
	Handle(GetFeeVotesProducerUsdParams) middleware.Responder
}

GetFeeVotesProducerUsdHandler interface for that can handle valid get fee votes producer usd params

type GetFeeVotesProducerUsdHandlerFunc

type GetFeeVotesProducerUsdHandlerFunc func(GetFeeVotesProducerUsdParams) middleware.Responder

GetFeeVotesProducerUsdHandlerFunc turns a function with the right signature into a get fee votes producer usd handler

func (GetFeeVotesProducerUsdHandlerFunc) Handle

Handle executing the request and returning a response

type GetFeeVotesProducerUsdNotFound

type GetFeeVotesProducerUsdNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

GetFeeVotesProducerUsdNotFound Did not find a matching producer

swagger:response getFeeVotesProducerUsdNotFound

func NewGetFeeVotesProducerUsdNotFound

func NewGetFeeVotesProducerUsdNotFound() *GetFeeVotesProducerUsdNotFound

NewGetFeeVotesProducerUsdNotFound creates GetFeeVotesProducerUsdNotFound with default headers values

func (*GetFeeVotesProducerUsdNotFound) SetPayload

func (o *GetFeeVotesProducerUsdNotFound) SetPayload(payload *models.Error)

SetPayload sets the payload to the get fee votes producer usd not found response

func (*GetFeeVotesProducerUsdNotFound) WithPayload

WithPayload adds the payload to the get fee votes producer usd not found response

func (*GetFeeVotesProducerUsdNotFound) WriteResponse

func (o *GetFeeVotesProducerUsdNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetFeeVotesProducerUsdOK

type GetFeeVotesProducerUsdOK struct {

	/*
	  In: Body
	*/
	Payload *models.Price `json:"body,omitempty"`
}

GetFeeVotesProducerUsdOK An array of prices for each action in USD based on the producer's votes

swagger:response getFeeVotesProducerUsdOK

func NewGetFeeVotesProducerUsdOK

func NewGetFeeVotesProducerUsdOK() *GetFeeVotesProducerUsdOK

NewGetFeeVotesProducerUsdOK creates GetFeeVotesProducerUsdOK with default headers values

func (*GetFeeVotesProducerUsdOK) SetPayload

func (o *GetFeeVotesProducerUsdOK) SetPayload(payload *models.Price)

SetPayload sets the payload to the get fee votes producer usd o k response

func (*GetFeeVotesProducerUsdOK) WithPayload

WithPayload adds the payload to the get fee votes producer usd o k response

func (*GetFeeVotesProducerUsdOK) WriteResponse

func (o *GetFeeVotesProducerUsdOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetFeeVotesProducerUsdParams

type GetFeeVotesProducerUsdParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*The producer's account
	  Required: true
	  In: path
	*/
	Producer string
}

GetFeeVotesProducerUsdParams contains all the bound params for the get fee votes producer usd operation typically these are obtained from a http.Request

swagger:parameters GetFeeVotesProducerUsd

func NewGetFeeVotesProducerUsdParams

func NewGetFeeVotesProducerUsdParams() GetFeeVotesProducerUsdParams

NewGetFeeVotesProducerUsdParams creates a new GetFeeVotesProducerUsdParams object

There are no default values defined in the spec.

func (*GetFeeVotesProducerUsdParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetFeeVotesProducerUsdParams() beforehand.

type GetFeeVotesProducerUsdServiceUnavailable

type GetFeeVotesProducerUsdServiceUnavailable struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

GetFeeVotesProducerUsdServiceUnavailable Data is stale, has not been updated for several minutes

swagger:response getFeeVotesProducerUsdServiceUnavailable

func NewGetFeeVotesProducerUsdServiceUnavailable

func NewGetFeeVotesProducerUsdServiceUnavailable() *GetFeeVotesProducerUsdServiceUnavailable

NewGetFeeVotesProducerUsdServiceUnavailable creates GetFeeVotesProducerUsdServiceUnavailable with default headers values

func (*GetFeeVotesProducerUsdServiceUnavailable) SetPayload

func (o *GetFeeVotesProducerUsdServiceUnavailable) SetPayload(payload *models.Error)

SetPayload sets the payload to the get fee votes producer usd service unavailable response

func (*GetFeeVotesProducerUsdServiceUnavailable) WithPayload

WithPayload adds the payload to the get fee votes producer usd service unavailable response

func (*GetFeeVotesProducerUsdServiceUnavailable) WriteResponse

WriteResponse to the client

type GetFeeVotesProducerUsdURL

type GetFeeVotesProducerUsdURL struct {
	Producer string
	// contains filtered or unexported fields
}

GetFeeVotesProducerUsdURL generates an URL for the get fee votes producer usd operation

func (*GetFeeVotesProducerUsdURL) Build

func (o *GetFeeVotesProducerUsdURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetFeeVotesProducerUsdURL) BuildFull

func (o *GetFeeVotesProducerUsdURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetFeeVotesProducerUsdURL) Must

func (o *GetFeeVotesProducerUsdURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetFeeVotesProducerUsdURL) SetBasePath

func (o *GetFeeVotesProducerUsdURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetFeeVotesProducerUsdURL) String

func (o *GetFeeVotesProducerUsdURL) String() string

String returns the string representation of the path with query string

func (*GetFeeVotesProducerUsdURL) StringFull

func (o *GetFeeVotesProducerUsdURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetFeeVotesProducerUsdURL) WithBasePath

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetPrice

type GetPrice struct {
	Context *middleware.Context
	Handler GetPriceHandler
}
GetPrice swagger:route GET /price getPrice

The current price used for calculations, as provided by Coingecko.com

func NewGetPrice

func NewGetPrice(ctx *middleware.Context, handler GetPriceHandler) *GetPrice

NewGetPrice creates a new http.Handler for the get price operation

func (*GetPrice) ServeHTTP

func (o *GetPrice) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetPriceHandler

type GetPriceHandler interface {
	Handle(GetPriceParams) middleware.Responder
}

GetPriceHandler interface for that can handle valid get price params

type GetPriceHandlerFunc

type GetPriceHandlerFunc func(GetPriceParams) middleware.Responder

GetPriceHandlerFunc turns a function with the right signature into a get price handler

func (GetPriceHandlerFunc) Handle

Handle executing the request and returning a response

type GetPriceOK

type GetPriceOK struct {

	/*
	  In: Body
	*/
	Payload *GetPriceOKBody `json:"body,omitempty"`
}

GetPriceOK Price in USD averaged across exchanges based on USDT/USDC trading pairs

swagger:response getPriceOK

func NewGetPriceOK

func NewGetPriceOK() *GetPriceOK

NewGetPriceOK creates GetPriceOK with default headers values

func (*GetPriceOK) SetPayload

func (o *GetPriceOK) SetPayload(payload *GetPriceOKBody)

SetPayload sets the payload to the get price o k response

func (*GetPriceOK) WithPayload

func (o *GetPriceOK) WithPayload(payload *GetPriceOKBody) *GetPriceOK

WithPayload adds the payload to the get price o k response

func (*GetPriceOK) WriteResponse

func (o *GetPriceOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetPriceOKBody

type GetPriceOKBody struct {

	// price
	Price float64 `json:"price,omitempty"`
}

GetPriceOKBody get price o k body

swagger:model GetPriceOKBody

func (*GetPriceOKBody) ContextValidate

func (o *GetPriceOKBody) ContextValidate(ctx context.Context, formats strfmt.Registry) error

ContextValidate validates this get price o k body based on context it is used

func (*GetPriceOKBody) MarshalBinary

func (o *GetPriceOKBody) MarshalBinary() ([]byte, error)

MarshalBinary interface implementation

func (*GetPriceOKBody) UnmarshalBinary

func (o *GetPriceOKBody) UnmarshalBinary(b []byte) error

UnmarshalBinary interface implementation

func (*GetPriceOKBody) Validate

func (o *GetPriceOKBody) Validate(formats strfmt.Registry) error

Validate validates this get price o k body

type GetPriceParams

type GetPriceParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`
}

GetPriceParams contains all the bound params for the get price operation typically these are obtained from a http.Request

swagger:parameters GetPrice

func NewGetPriceParams

func NewGetPriceParams() GetPriceParams

NewGetPriceParams creates a new GetPriceParams object

There are no default values defined in the spec.

func (*GetPriceParams) BindRequest

func (o *GetPriceParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetPriceParams() beforehand.

type GetPriceServiceUnavailable

type GetPriceServiceUnavailable struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

GetPriceServiceUnavailable Data is stale, has not been updated for several minutes

swagger:response getPriceServiceUnavailable

func NewGetPriceServiceUnavailable

func NewGetPriceServiceUnavailable() *GetPriceServiceUnavailable

NewGetPriceServiceUnavailable creates GetPriceServiceUnavailable with default headers values

func (*GetPriceServiceUnavailable) SetPayload

func (o *GetPriceServiceUnavailable) SetPayload(payload *models.Error)

SetPayload sets the payload to the get price service unavailable response

func (*GetPriceServiceUnavailable) WithPayload

WithPayload adds the payload to the get price service unavailable response

func (*GetPriceServiceUnavailable) WriteResponse

func (o *GetPriceServiceUnavailable) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetPriceURL

type GetPriceURL struct {
	// contains filtered or unexported fields
}

GetPriceURL generates an URL for the get price operation

func (*GetPriceURL) Build

func (o *GetPriceURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetPriceURL) BuildFull

func (o *GetPriceURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetPriceURL) Must

func (o *GetPriceURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetPriceURL) SetBasePath

func (o *GetPriceURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetPriceURL) String

func (o *GetPriceURL) String() string

String returns the string representation of the path with query string

func (*GetPriceURL) StringFull

func (o *GetPriceURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetPriceURL) WithBasePath

func (o *GetPriceURL) WithBasePath(bp string) *GetPriceURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetSuggestFeevote

type GetSuggestFeevote struct {
	Context *middleware.Context
	Handler GetSuggestFeevoteHandler
}
GetSuggestFeevote swagger:route GET /suggest/feevote getSuggestFeevote

A suggested feevote value using sane values formatted as required by fio.fee::setfeevote. Note setting a fee vote is only required once unless new fee endpoints are added.

func NewGetSuggestFeevote

func NewGetSuggestFeevote(ctx *middleware.Context, handler GetSuggestFeevoteHandler) *GetSuggestFeevote

NewGetSuggestFeevote creates a new http.Handler for the get suggest feevote operation

func (*GetSuggestFeevote) ServeHTTP

func (o *GetSuggestFeevote) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetSuggestFeevoteHandler

type GetSuggestFeevoteHandler interface {
	Handle(GetSuggestFeevoteParams) middleware.Responder
}

GetSuggestFeevoteHandler interface for that can handle valid get suggest feevote params

type GetSuggestFeevoteHandlerFunc

type GetSuggestFeevoteHandlerFunc func(GetSuggestFeevoteParams) middleware.Responder

GetSuggestFeevoteHandlerFunc turns a function with the right signature into a get suggest feevote handler

func (GetSuggestFeevoteHandlerFunc) Handle

Handle executing the request and returning a response

type GetSuggestFeevoteOK

type GetSuggestFeevoteOK struct {

	/*
	  In: Body
	*/
	Payload []*models.Feevote `json:"body,omitempty"`
}

GetSuggestFeevoteOK array of fio.fee feevalue

swagger:response getSuggestFeevoteOK

func NewGetSuggestFeevoteOK

func NewGetSuggestFeevoteOK() *GetSuggestFeevoteOK

NewGetSuggestFeevoteOK creates GetSuggestFeevoteOK with default headers values

func (*GetSuggestFeevoteOK) SetPayload

func (o *GetSuggestFeevoteOK) SetPayload(payload []*models.Feevote)

SetPayload sets the payload to the get suggest feevote o k response

func (*GetSuggestFeevoteOK) WithPayload

func (o *GetSuggestFeevoteOK) WithPayload(payload []*models.Feevote) *GetSuggestFeevoteOK

WithPayload adds the payload to the get suggest feevote o k response

func (*GetSuggestFeevoteOK) WriteResponse

func (o *GetSuggestFeevoteOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetSuggestFeevoteParams

type GetSuggestFeevoteParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`
}

GetSuggestFeevoteParams contains all the bound params for the get suggest feevote operation typically these are obtained from a http.Request

swagger:parameters GetSuggestFeevote

func NewGetSuggestFeevoteParams

func NewGetSuggestFeevoteParams() GetSuggestFeevoteParams

NewGetSuggestFeevoteParams creates a new GetSuggestFeevoteParams object

There are no default values defined in the spec.

func (*GetSuggestFeevoteParams) BindRequest

func (o *GetSuggestFeevoteParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetSuggestFeevoteParams() beforehand.

type GetSuggestFeevoteURL

type GetSuggestFeevoteURL struct {
	// contains filtered or unexported fields
}

GetSuggestFeevoteURL generates an URL for the get suggest feevote operation

func (*GetSuggestFeevoteURL) Build

func (o *GetSuggestFeevoteURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetSuggestFeevoteURL) BuildFull

func (o *GetSuggestFeevoteURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetSuggestFeevoteURL) Must

func (o *GetSuggestFeevoteURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetSuggestFeevoteURL) SetBasePath

func (o *GetSuggestFeevoteURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetSuggestFeevoteURL) String

func (o *GetSuggestFeevoteURL) String() string

String returns the string representation of the path with query string

func (*GetSuggestFeevoteURL) StringFull

func (o *GetSuggestFeevoteURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetSuggestFeevoteURL) WithBasePath

func (o *GetSuggestFeevoteURL) WithBasePath(bp string) *GetSuggestFeevoteURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetSuggestSetfeemult

type GetSuggestSetfeemult struct {
	Context *middleware.Context
	Handler GetSuggestSetfeemultHandler
}
GetSuggestSetfeemult swagger:route GET /suggest/setfeemult getSuggestSetfeemult

A suggested fee multipler as used for fio.fee::setfeemult, based on a target price for the 'register_fio_address' endpoint AND the output from the /suggest/feevote endpoint

func NewGetSuggestSetfeemult

func NewGetSuggestSetfeemult(ctx *middleware.Context, handler GetSuggestSetfeemultHandler) *GetSuggestSetfeemult

NewGetSuggestSetfeemult creates a new http.Handler for the get suggest setfeemult operation

func (*GetSuggestSetfeemult) ServeHTTP

func (o *GetSuggestSetfeemult) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetSuggestSetfeemultHandler

type GetSuggestSetfeemultHandler interface {
	Handle(GetSuggestSetfeemultParams) middleware.Responder
}

GetSuggestSetfeemultHandler interface for that can handle valid get suggest setfeemult params

type GetSuggestSetfeemultHandlerFunc

type GetSuggestSetfeemultHandlerFunc func(GetSuggestSetfeemultParams) middleware.Responder

GetSuggestSetfeemultHandlerFunc turns a function with the right signature into a get suggest setfeemult handler

func (GetSuggestSetfeemultHandlerFunc) Handle

Handle executing the request and returning a response

type GetSuggestSetfeemultOK

type GetSuggestSetfeemultOK struct {

	/*
	  In: Body
	*/
	Payload *GetSuggestSetfeemultOKBody `json:"body,omitempty"`
}

GetSuggestSetfeemultOK The suggested fee multiplier

swagger:response getSuggestSetfeemultOK

func NewGetSuggestSetfeemultOK

func NewGetSuggestSetfeemultOK() *GetSuggestSetfeemultOK

NewGetSuggestSetfeemultOK creates GetSuggestSetfeemultOK with default headers values

func (*GetSuggestSetfeemultOK) SetPayload

func (o *GetSuggestSetfeemultOK) SetPayload(payload *GetSuggestSetfeemultOKBody)

SetPayload sets the payload to the get suggest setfeemult o k response

func (*GetSuggestSetfeemultOK) WithPayload

WithPayload adds the payload to the get suggest setfeemult o k response

func (*GetSuggestSetfeemultOK) WriteResponse

func (o *GetSuggestSetfeemultOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetSuggestSetfeemultOKBody

type GetSuggestSetfeemultOKBody struct {

	// suggested multiplier
	SuggestedMultiplier float64 `json:"suggested_multiplier,omitempty"`
}

GetSuggestSetfeemultOKBody get suggest setfeemult o k body

swagger:model GetSuggestSetfeemultOKBody

func (*GetSuggestSetfeemultOKBody) ContextValidate

func (o *GetSuggestSetfeemultOKBody) ContextValidate(ctx context.Context, formats strfmt.Registry) error

ContextValidate validates this get suggest setfeemult o k body based on context it is used

func (*GetSuggestSetfeemultOKBody) MarshalBinary

func (o *GetSuggestSetfeemultOKBody) MarshalBinary() ([]byte, error)

MarshalBinary interface implementation

func (*GetSuggestSetfeemultOKBody) UnmarshalBinary

func (o *GetSuggestSetfeemultOKBody) UnmarshalBinary(b []byte) error

UnmarshalBinary interface implementation

func (*GetSuggestSetfeemultOKBody) Validate

func (o *GetSuggestSetfeemultOKBody) Validate(formats strfmt.Registry) error

Validate validates this get suggest setfeemult o k body

type GetSuggestSetfeemultParams

type GetSuggestSetfeemultParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  In: query
	  Default: 2
	*/
	Target *float64
}

GetSuggestSetfeemultParams contains all the bound params for the get suggest setfeemult operation typically these are obtained from a http.Request

swagger:parameters GetSuggestSetfeemult

func NewGetSuggestSetfeemultParams

func NewGetSuggestSetfeemultParams() GetSuggestSetfeemultParams

NewGetSuggestSetfeemultParams creates a new GetSuggestSetfeemultParams object with the default values initialized.

func (*GetSuggestSetfeemultParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetSuggestSetfeemultParams() beforehand.

type GetSuggestSetfeemultServiceUnavailable

type GetSuggestSetfeemultServiceUnavailable struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

GetSuggestSetfeemultServiceUnavailable Data is stale, has not been updated for several minutes

swagger:response getSuggestSetfeemultServiceUnavailable

func NewGetSuggestSetfeemultServiceUnavailable

func NewGetSuggestSetfeemultServiceUnavailable() *GetSuggestSetfeemultServiceUnavailable

NewGetSuggestSetfeemultServiceUnavailable creates GetSuggestSetfeemultServiceUnavailable with default headers values

func (*GetSuggestSetfeemultServiceUnavailable) SetPayload

func (o *GetSuggestSetfeemultServiceUnavailable) SetPayload(payload *models.Error)

SetPayload sets the payload to the get suggest setfeemult service unavailable response

func (*GetSuggestSetfeemultServiceUnavailable) WithPayload

WithPayload adds the payload to the get suggest setfeemult service unavailable response

func (*GetSuggestSetfeemultServiceUnavailable) WriteResponse

WriteResponse to the client

type GetSuggestSetfeemultURL

type GetSuggestSetfeemultURL struct {
	Target *float64
	// contains filtered or unexported fields
}

GetSuggestSetfeemultURL generates an URL for the get suggest setfeemult operation

func (*GetSuggestSetfeemultURL) Build

func (o *GetSuggestSetfeemultURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetSuggestSetfeemultURL) BuildFull

func (o *GetSuggestSetfeemultURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetSuggestSetfeemultURL) Must

func (o *GetSuggestSetfeemultURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetSuggestSetfeemultURL) SetBasePath

func (o *GetSuggestSetfeemultURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetSuggestSetfeemultURL) String

func (o *GetSuggestSetfeemultURL) String() string

String returns the string representation of the path with query string

func (*GetSuggestSetfeemultURL) StringFull

func (o *GetSuggestSetfeemultURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetSuggestSetfeemultURL) WithBasePath

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type StatsAPI

type StatsAPI struct {
	Middleware func(middleware.Builder) http.Handler

	// BasicAuthenticator generates a runtime.Authenticator from the supplied basic auth function.
	// It has a default implementation in the security package, however you can replace it for your particular usage.
	BasicAuthenticator func(security.UserPassAuthentication) runtime.Authenticator

	// APIKeyAuthenticator generates a runtime.Authenticator from the supplied token auth function.
	// It has a default implementation in the security package, however you can replace it for your particular usage.
	APIKeyAuthenticator func(string, string, security.TokenAuthentication) runtime.Authenticator

	// BearerAuthenticator generates a runtime.Authenticator from the supplied bearer token auth function.
	// It has a default implementation in the security package, however you can replace it for your particular usage.
	BearerAuthenticator func(string, security.ScopedTokenAuthentication) runtime.Authenticator

	// JSONConsumer registers a consumer for the following mime types:
	//   - application/json
	JSONConsumer runtime.Consumer

	// JSONProducer registers a producer for the following mime types:
	//   - application/json
	JSONProducer runtime.Producer

	// GetFeeHandler sets the operation handler for the get fee operation
	GetFeeHandler GetFeeHandler
	// GetFeeByActionNameHandler sets the operation handler for the get fee by action name operation
	GetFeeByActionNameHandler GetFeeByActionNameHandler
	// GetFeeMultiplierProducerHandler sets the operation handler for the get fee multiplier producer operation
	GetFeeMultiplierProducerHandler GetFeeMultiplierProducerHandler
	// GetFeeVotesProducerHandler sets the operation handler for the get fee votes producer operation
	GetFeeVotesProducerHandler GetFeeVotesProducerHandler
	// GetPriceHandler sets the operation handler for the get price operation
	GetPriceHandler GetPriceHandler
	// GetSuggestFeevoteHandler sets the operation handler for the get suggest feevote operation
	GetSuggestFeevoteHandler GetSuggestFeevoteHandler
	// GetSuggestSetfeemultHandler sets the operation handler for the get suggest setfeemult operation
	GetSuggestSetfeemultHandler GetSuggestSetfeemultHandler

	// ServeError is called when an error is received, there is a default handler
	// but you can set your own with this
	ServeError func(http.ResponseWriter, *http.Request, error)

	// PreServerShutdown is called before the HTTP(S) server is shutdown
	// This allows for custom functions to get executed before the HTTP(S) server stops accepting traffic
	PreServerShutdown func()

	// ServerShutdown is called when the HTTP(S) server is shut down and done
	// handling all active connections and does not accept connections any more
	ServerShutdown func()

	// Custom command line argument groups with their descriptions
	CommandLineOptionsGroups []swag.CommandLineOptionsGroup

	// User defined logger function.
	Logger func(string, ...interface{})
	// contains filtered or unexported fields
}

StatsAPI Provides information about FIO https://fioprotocol.io

func NewStatsAPI

func NewStatsAPI(spec *loads.Document) *StatsAPI

NewStatsAPI creates a new Stats instance

func (*StatsAPI) AddMiddlewareFor

func (o *StatsAPI) AddMiddlewareFor(method, path string, builder middleware.Builder)

AddMiddlewareFor adds a http middleware to existing handler

func (*StatsAPI) AuthenticatorsFor

func (o *StatsAPI) AuthenticatorsFor(schemes map[string]spec.SecurityScheme) map[string]runtime.Authenticator

AuthenticatorsFor gets the authenticators for the specified security schemes

func (*StatsAPI) Authorizer

func (o *StatsAPI) Authorizer() runtime.Authorizer

Authorizer returns the registered authorizer

func (*StatsAPI) ConsumersFor

func (o *StatsAPI) ConsumersFor(mediaTypes []string) map[string]runtime.Consumer

ConsumersFor gets the consumers for the specified media types. MIME type parameters are ignored here.

func (*StatsAPI) Context

func (o *StatsAPI) Context() *middleware.Context

Context returns the middleware context for the stats API

func (*StatsAPI) DefaultConsumes

func (o *StatsAPI) DefaultConsumes() string

DefaultConsumes returns the default consumes media type

func (*StatsAPI) DefaultProduces

func (o *StatsAPI) DefaultProduces() string

DefaultProduces returns the default produces media type

func (*StatsAPI) Formats

func (o *StatsAPI) Formats() strfmt.Registry

Formats returns the registered string formats

func (*StatsAPI) HandlerFor

func (o *StatsAPI) HandlerFor(method, path string) (http.Handler, bool)

HandlerFor gets a http.Handler for the provided operation method and path

func (*StatsAPI) Init

func (o *StatsAPI) Init()

Init allows you to just initialize the handler cache, you can then recompose the middleware as you see fit

func (*StatsAPI) ProducersFor

func (o *StatsAPI) ProducersFor(mediaTypes []string) map[string]runtime.Producer

ProducersFor gets the producers for the specified media types. MIME type parameters are ignored here.

func (*StatsAPI) RegisterConsumer

func (o *StatsAPI) RegisterConsumer(mediaType string, consumer runtime.Consumer)

RegisterConsumer allows you to add (or override) a consumer for a media type.

func (*StatsAPI) RegisterFormat

func (o *StatsAPI) RegisterFormat(name string, format strfmt.Format, validator strfmt.Validator)

RegisterFormat registers a custom format validator

func (*StatsAPI) RegisterProducer

func (o *StatsAPI) RegisterProducer(mediaType string, producer runtime.Producer)

RegisterProducer allows you to add (or override) a producer for a media type.

[...]
